FeedBoss Documentation

Get Posts Timeline

Get posts timeline (last 90 days + future scheduled posts, excluding drafts).

Endpoint: GET https://server.feedboss.ai/api/v1/ai-conversation/posts-timeline/:workspaceId

Authentication

All endpoints require authentication. You can authenticate using a Service API Key.

Service API Key

Add your Service API Key to the x-api-key header.

x-api-key: fb_live_xxxxxxxxxxxxxxxxxxxxxxxx

Parameters

Path Parameter

ParameterTypeRequiredDescription
workspaceIdStringYesThe ID of the workspace.

Response

Status 200 OK

Returns the posts timeline data.

{
  "success": true,
  "data": {
    "posts": [
      {
        "id": "string",
        "conversationId": "string (optional)",
        "conversationTitle": "string",
        "postContent": "string",
        "postType": "string",
        "status": "string (draft, scheduled, published, etc.)",
        "createdAt": "date (ISO string)",
        "scheduledAt": "date (ISO string) or null",
        "linkedinAccount": {
          "name": "string (optional)",
          "email": "string (optional)"
        },
        "metrics": "object (optional)",
        "postUrl": "string (optional)",
        "carousel": {
          "id": "string",
          "name": "string",
          "thumbnailUrl": "string",
          "pdfUrl": "string"
        } | null,
        "infographic": {
          "id": "string",
          "name": "string",
          "generatedImageUrl": "string"
        } | null,
        "generatedHeadshot": {
          "id": "string",
          "generatedImageUrl": "string",
          "originalHeadshotUrl": "string",
          "originalEnvironmentUrl": "string"
        } | null,
        "customImage": {
          "url": "string",
          "assetUrn": "string (optional)"
        } | null
      }
    ],
    "total": "number",
    "dateRange": {
      "from": "date (ISO string)",
      "to": "date (ISO string)"
    }
  }
}

Status 401 Unauthorized

{
  "success": false,
  "message": "Not authorized to access this route"
}

Status 403 Forbidden

{
  "success": false,
  "message": "Not authorized to access this workspace"
}

Status 500 Internal Server Error

{
  "success": false,
  "message": "Error message"
}